Over 1.091.000 registered users (EN+CZ).
AutoCAD tips, Inventor tips, Revit tips.
Try the new precise Engineering calculator.
New AutoCAD 2026 commands and variables.
Discussion forum
?CAD discussions, advices, exchange of experience

Please abide by the rules of this forum.
This is a peer-to-peer forum. The forum doesn't replace the official direct technical support provided by ARKANCE for its customers.
How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
|
Post Reply ![]() |
Author | |
lopezio ![]() Newbie ![]() Joined: 09.Jul.2009 Location: Portugal Status: Offline Points: 5 |
![]() Posted: 30.Jul.2009 at 01:55 |
How can i measure multiple points? I want to start measure click one point click other point and when in my last point i want the total length.
Thank you
(Autocad V 2010) Edited by lopezio - 30.Jul.2009 at 02:00 |
|
![]() |
|
Vladimir Michl ![]() Moderator Group ![]() Arkance Systems CZ Joined: 26.Jul.2007 Location: Czech Republic Using: Autodesk software Status: Offline Points: 2098 |
![]() |
You can use the new MEASUREGEOM command or the option Multiple in the DIST command. |
|
Vladimir Michl (moderator)
ARKANCE - https://arkance.world - Autodesk Platinum Partner |
|
![]() |
|
msplcdykee69 ![]() Senior Member ![]() Joined: 15.Dec.2008 Location: United States Using: Civil 3D, Map, Inventor, Mechanical, & Electrical Status: Offline Points: 163 |
![]() |
Here is a Lisp Command CD Cumulative distance
;cumulative distance
;this routine is just like the Autocad Distance command with the ;exception that it allows you to pick more than 2 consecutive points. ;the routine will display the cumulative distance and the distance ;between the last two points picked on the command line. (defun c:cd ()
(setvar "cmdecho" 0) (graphscr) (setq p1 (getpoint "\nPick start point ") p2 (getpoint p1 "\nPick next point ") d1 (distance p1 p2) prdist (strcat "\nDistance: " (rtos d1)) ) (princ prdist) (setq p3 (getpoint p2 "\nPick next point or RETURN if done ")) (while p3 (setq d0 (distance p2 p3) d1 (+ (distance p2 p3) d1) p2 p3 prdist (strcat "\nDistance: " (rtos d0) ", Cumulative distance: " (rtos d1)) ) (princ prdist) (setq p3 (getpoint p2 "\nPick Next Point ")) ) (setq cumd (strcat "Cumulative distance --> " (rtos d1))) (prompt cumd) (princ) ) (princ "\nType CD to run Cumulative Distance") (princ) |
|
Engineering Manufacturing Medical Cables/Adjunct Instructor Engineering Graphics/Engineering Computations and Careers
msplcdykee69@yahoo.com Shawn |
|
![]() |
|
lopezio ![]() Newbie ![]() Joined: 09.Jul.2009 Location: Portugal Status: Offline Points: 5 |
![]() |
Hi Thank you but i'm new user, and i don't understand how can i use MEASUREGEOM because i select the first point and when i select the next point this command give me the measure between the two points and i cannot select one third point to get the total distance. What i'm doing wrong?
|
|
![]() |
|
SeanFtS ![]() Groupie ![]() Joined: 29.Apr.2009 Status: Offline Points: 28 |
![]() |
(2010) "Measuregeom" command:
Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Distance
Specify first point: Specify a point
Specify second point or [Multiple Points]: m
Trace lines and get the line lengths calculated.
Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Distance>: Exit
You can also click F1 and get this instraction in AutoCAD help documents.
Sean
|
|
![]() |
|
theflyer84 ![]() Newbie ![]() Joined: 13.Aug.2009 Location: Italy Status: Offline Points: 5 |
![]() |
faster way to do that is to create a polyline between the points, and under the propriety of the polyline you will see the lenght! ;)
------------------------------------------------------ www.dwgforfree.com |
|
![]() |
Post Reply ![]() |
|
Tweet
|
Forum Jump | Forum Permissions ![]() You cannot post new topics in this forum You cannot reply to topics in this forum You cannot delete your posts in this forum You cannot edit your posts in this forum You cannot create polls in this forum You cannot vote in polls in this forum |
This page was generated in 0,086 seconds.